## lua-torch-xlua 0~20160719

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)
IF(LUAROCKS_PREFIX)
    MESSAGE(STATUS "Installing Torch through Luarocks")
    STRING(REGEX REPLACE "(.*)lib/luarocks/rocks.*" "\\1" CMAKE_INSTALL_PREFIX  "${LUAROCKS_PREFIX}")
    MESSAGE(STATUS "Prefix inferred from Luarocks: ${CMAKE_INSTALL_PREFIX}")
ENDIF()
FIND_PACKAGE(Torch REQUIRED)

SET(src)
SET(luasrc init.lua OptionParser.lua Profiler.lua)

ADD_TORCH_PACKAGE(xlua "${src}" "${luasrc}" "System")

## lua-torch-xlua 0~20160719-g41308fe

=== debian/changelog ===
lua-torch-xlua (0~20160719-g41308fe-6) unstable; urgency=medium

  * Change Architecture back to all. Since i386 build was re-enabled
    by lua-torch-torch7, this time the package should be able to migrate.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 13 Feb 2018 06:07:31 +0000

lua-torch-xlua (0~20160719-g41308fe-5) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3 (no change)
  * Change Architecture from all to any to unblock migration.
  * Update Vcs-* link to salsa.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 20 Jan 2018 07:02:24 +0000

lua-torch-xlua (0~20160719-g41308fe-4) unstable; urgency=medium

  * Ignore tput error message to avoid autopkgtest failure.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 19 Nov 2017 03:04:31 +0000

lua-torch-xlua (0~20160719-g41308fe-3) unstable; urgency=medium

  * Add runtime deps to B-D, to prevent the build if the runtime deps
    are not available.
  * Bump Standards-Version to 4.1.1 .
    + Use https link in copyright.
  * Update my name in control and copyright.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Oct 2017 06:54:14 +0000

lua-torch-xlua (0~20160719-g41308fe-2) unstable; urgency=medium

  * Add autopkgtest control file.
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 26 Aug 2017 16:11:06 +0000

lua-torch-xlua (0~20160719-g41308fe-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Debhelper compat 10.
  * Dependency package luajit is prior to lua5.1 .

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 20 May 2017 08:41:13 +0000

lua-torch-xlua (0~20160617-g0dd5f4c-1) experimental; urgency=low

  * Initial release. Closes: #826793

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 14 Aug 2016 13:12:37 +0000

=== debian/control ===
Source: lua-torch-xlua
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11~),
               dh-lua,
               luajit | lua5.1,
               lua-torch-torch7,
               lua-torch-sys,
Standards-Version: 4.1.3
Homepage: https://github.com/torch/xlua
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-xlua
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-xlua.git

Package: lua-torch-xlua
Architecture: all
Depends: lua-torch-sys,
         lua-torch-torch7,
         luajit | lua5.1,
         ${misc:Depends},
         ${shlibs:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: Lua Extension Package for Torch Framework
 Lua is pretty compact in terms of built-in functionalities:
 this package extends the table and string libraries,
 and provide other general purpose tools (progress bar, ...).
 .
 This package ships a set of useful extensions to Lua for Torch Framework.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . xlua
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-xlua 5.2-torch-xlua debian/trash xlua
	dh_auto_clean

=== debian/tests/control ===
Test-Command: luajit -ltorch -lxlua -e "os.exit()" 2>/dev/null
